local SR_Totems = SpellReminder:NewModule("SR_Totems","AceEvent-3.0")

function SR_Totems:OnDisable()
	self:UnregisterAllEvents()
end

function SR_Totems:OnEnable()
	self:RegisterEvent("PLAYER_TOTEM_UPDATE", 'ProcessTotems')
end

function SR_Totems:ProcessTotems()
	local playerName, playerGUID = UnitName("player"), UnitGUID('player')
	
	for i=1, MAX_TOTEMS do
		local haveTotem, spellName, startTime, duration, iconTexture = GetTotemInfo(i)
		local eventName = SpellReminder:GetEventName('TOTEM_'..i,UnitGUID("player"))
		if spellName and spellName ~= "" then
			local spellRank
			if string.find(spellName," ([CDILMVX]+)$") then
				spellName, spellRank = string.match(spellName, "(.*) ([CDILMVX]*)$")
			end
			duration = math.ceil(duration)
			local castingInfo = SpellReminder:GetCastingObject(spellName,nil,'',playerName,playerGUID,startTime,duration,nil,eventName,nil,"buff",iconTexture)
			self:TrackSpell(castingInfo)
			SpellReminder:SetSpellCategory(spellName,'Totems')
		else
			SpellReminder:CleanUp(eventName)
		end
	end
end